Grouped actionable notifications for the current org
GET
/api/v1/notifications
const url = 'https://api.yggy.tech/api/v1/notifications?include=recent';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.yggy.tech/api/v1/notifications?include=recent' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” include
string
Header Parameters
Section titled “Header Parameters ” host
string | null
x-yggy-organization-id
string | null
Responses
Section titled “ Responses ”Notifications feed
Media type application/json
object
actionable
required
object
workflows
required
Array<object>
object
id
required
string
group
required
string
title
required
string
status
required
string
summary
required
string
updatedAt
required
string
documentId
string
projectExternalId
string
step
string | null
progress
number
dismissable
boolean
requests
required
Array<object>
object
id
required
string
group
required
string
title
required
string
status
required
string
summary
required
string
updatedAt
required
string
documentId
string
projectExternalId
string
step
string | null
progress
number
dismissable
boolean
recent
required
Array<object>
object
id
required
string
group
required
string
title
required
string
status
required
string
summary
required
string
updatedAt
required
string
documentId
string
projectExternalId
string
step
string | null
progress
number
dismissable
boolean
counts
required
object
actionable
required
number
workflows
required
number
requests
required
number
Example
{ "actionable": { "workflows": [ { "group": "workflows" } ], "requests": [ { "group": "workflows" } ] }, "recent": [ { "group": "workflows" } ]}